// Depict a recording by combining a visual representation with a list of roles.

// The visual representation can be an album cover or an embedded Youtube video.


recording__role_color = paper


.recording

    //flex container
    display flex
    flex-direction column
    flex-wrap nowrap
    justify-content flex-start
    align-items stretch


    &__cover-wrapper

        // flex item
        flex-basis auto
        flex-grow 0
        flex-shrink 0
        align-self center


        &--jewelcase-booklet

            //width 89.6%
            width 100%


        &--digipak-front

            //width 100%
            width 106.25%


        &--keepcase-front

            width 100%


    &__cover

        width 100%

        // prevent image from having extra space below
        // stackoverflow.com/questions/5804256/image-inside-div-has-extra-space-below-the-image
        display block


    &__video-wrapper

        // enforce 16:9 aspect ratio
        position relative
        padding-bottom 56.25%
        height 0
        overflow hidden


    &__video

        // enforce 16:9 aspect ratio
        position absolute
        top 0
        left 0
        width 100%
        height 100%


    &__roles-list

        // flex item
        flex-basis auto
        flex-grow 0
        flex-shrink 0

        // distance
        padding 0 1px
        padding-top 3px
        padding-bottom 8px
        page_manager__responsive_row_gap(margin-bottom)

        // text
        line-height 14px

        // border
        border-bottom 1px solid recording__role_color


    &__role

        smalltext()

        // color
        color recording__role_color

        // display
        display inline

        // text
        white-space nowrap


        &:not(:last-of-type)::after

            content ' ·'
